Skip to main content
`Ctrl`+`K`

# STSetFromOptions

Sets `ST` options from the options database.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STSetFromOptions(ST st)

Collective

## Input Parameter

- st - the spectral transformation context

## Note

To see all options, run your program with the `-help` option.

## See Also

ST: Spectral Transformation, `STSetOptionsPrefix()`

## Level

beginner

## Location

src/sys/classes/st/interface/stset.c

## Implementations

STSetFromOptions_Cayley() in src/sys/classes/st/impls/cayley/cayley.c
STSetFromOptions_Filter() in src/sys/classes/st/impls/filter/filter.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages